View Issue Details

IDProjectCategoryView StatusLast Update
16950Bug reportsSurvey editingpublic2021-01-28 16:27
Reportergabrieljenik Assigned Togabrieljenik  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.4.0-RC2 
Summary16950: publicurl disable attchments
DescriptionAfter https://github.com/LimeSurvey/LimeSurvey/pull/1679, if you set a publicurl : no attachments is saved
Steps To ReproduceGit checkout
Set `'publicurl' => "http://limesurvey.example.org/",`

Try to save a attachements.
Additional Information
Even if http://limesurvey.example.org/ is your admin URL : it broke.
You can try yourself

Issue is here :
`Yii::app()->getConfig('uploadurl')` return `/upload` or `limesurvey\upload` and systeml remove strlen(http://limesurvey.example.org) caracter …

Valid test :
`strlen(rtrim('/',Yii::app()->getBaseUrl(false))`

This is a clone from 16902.
This applies to master
TagsNo tags attached.
Complete LimeSurvey version number (& build)4.4.0-RC2
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)fedora/linux
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 16854 closedgabrieljenik Cannot attach PDF to email invitation (email template for surveys) 

Activities

gabrieljenik

gabrieljenik

2021-01-15 14:00

manager   ~61563

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1720

Pushing it to the same PR as 16899 as it is precondition for this bug.
gabrieljenik

gabrieljenik

2021-01-21 13:36

manager   ~61614

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30869
lime_release_bot

lime_release_bot

2021-01-28 16:27

administrator   ~61756

Fixed in Release 4.4.0+210129

Related Changesets

LimeSurvey: master b3f4113e

2021-01-19 12:52:20

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16899 & 16950: Attachments on Email Invitations (#1720)

* Fixed issue 16899: Cannot attach PDF to email invitation (email template for surveys) - develop branch

Reinstated js code removed when removing vue packages.

* Fixed issue 16950: publicurl disable attchments
Affected Issues
16899, 16950
mod - application/config/packages.php Diff File
mod - application/controllers/admin/emailtemplates.php Diff File
mod - application/models/SurveyLanguageSetting.php Diff File
add - assets/packages/emailtemplates/emailtemplates.js Diff File
add - assets/packages/emailtemplates/emailtemplates.min.js Diff File
add - assets/packages/emailtemplates/popup-dialog.css Diff File

Issue History

Date Modified Username Field Change
2021-01-06 21:08 gabrieljenik New Issue
2021-01-06 21:08 gabrieljenik Issue generated from: 16902
2021-01-07 08:20 DenisChenu Relationship added related to 16854
2021-01-15 14:00 gabrieljenik Note Added: 61563
2021-01-21 13:36 gabrieljenik Changeset attached => LimeSurvey master b3f4113e
2021-01-21 13:36 gabrieljenik Note Added: 61614
2021-01-21 13:36 gabrieljenik Assigned To => gabrieljenik
2021-01-21 13:36 gabrieljenik Resolution open => fixed
2021-01-28 16:27 lime_release_bot Note Added: 61756
2021-01-28 16:27 lime_release_bot Status new => closed